Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 82188

Summary: bad source code
Product: [Retired] Red Hat Linux Reporter: d.binderman
Component: mxAssignee: Mihai Ibanescu <mihai.ibanescu>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 8.0   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2004-08-31 14:01:17 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description d.binderman 2003-01-19 10:25:13 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.6 [en-gb]C-CCK-MCD NetscapeOnline.co.uk  (Win98; I)

Description of problem:

Hello there,

I just tried to compile package mx-2.0.3-6 from Redhat 8.0

The compiler said

mx/Stack/mxStack/mxStack.c:297: warning: operation on `top' may be undefined

Here is an untested patch to shut up the compiler.

*** ./mx/Stack/mxStack/mxStack.c.old	2003-01-16 21:04:07.000000000 +0000
--- ./mx/Stack/mxStack/mxStack.c	2003-01-16 21:04:31.000000000 +0000
***************
*** 294,300 ****
  	    if (!v) {
  		/* Rollback */
  		while (i > 0) {
! 		    Py_DECREF(stack->array[top--]);
  		    i--;
  		}
  		stack->top = top;
--- 294,301 ----
  	    if (!v) {
  		/* Rollback */
  		while (i > 0) {
! 		    Py_DECREF(stack->array[top]);
! 		    top--;
  		    i--;
  		}
  		stack->top = top;

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. compile the program
2.
3.
    

Additional info

Comment 1 Mihai Ibanescu 2004-08-31 14:01:17 UTC
mx-2.0.5 does not exhibit this problem.